function y = readFile(fname)
% readFile: reads a given file to a string matrix
% Parameters:
%  fname = name of the file

% (c) Mika Miettinen

    y = 1;
    output = struct('line', {});

    if ~exist(fname)
        y = -1;
        break;
    end
    index = 1;

    fid = fopen(fname, 'rt');
    tline = fgetl(fid);
    while ischar(tline)
        inputLine.line = tline;
        output = cat(1, output, inputLine);
        tline = fgetl(fid);
    end

    fclose(fid);

    y = output;

