function y = changeIntIntoRelativeInt
% changes peak intensities into relative intensities
   
    global InputArray;
    
    max =  -1;
    for i=1:length(InputArray)
        if isfinite(InputArray(i).mother)
            if InputArray(i).mother > max
                max = InputArray(i).mother;
            end
        end
    end
    
    sums = zeros(1,max+3);
    
    % calculates the sum for different type of part in the input
    for i=1:length(InputArray)
        if finite(InputArray(i).mother) % dis
            if InputArray(i).mother == 0
                sums(1,max+1) = sums(1,max+1) + InputArray(i).intensity;
            else
                sums(1,InputArray(i).mother) = sums(1,InputArray(i).mother) + InputArray(i).intensity;
            end
        elseif  isnan(InputArray(i).mother) % mother
            sums(1,max+2) = sums(1,max+2) + InputArray(i).intensity;
        else %fs
            sums(1,max+3) = sums(1,max+3) + InputArray(i).intensity;
        end
    end
    
    for i=1:length(InputArray)
        if finite(InputArray(i).mother) % dis
            if InputArray(i).mother == 0
                InputArray(i).intensity = InputArray(i).intensity/sums(1,max+1);
            else
                InputArray(i).intensity = InputArray(i).intensity/sums(1,InputArray(i).mother);
            end   
            
        elseif  isnan(InputArray(i).mother) % mother
            InputArray(i).intensity = InputArray(i).intensity/sums(1,max+2);
        else %fs
            InputArray(i).intensity = InputArray(i).intensity/sums(1,max+3);
        end
    end
     
   
    
  