function [devices, energies] = initializeDevAndEnergy
% Initializes the device snd energy popup fields.
% Timo 27.10.2002

    devices = [];
    energies = [];

    files = dir('fdb_*_*.db');  % stars represent device and energy, respectively
        
    for i = 1 : size(files,1)
        file = files(i).name;
        file = file(5:end);
        ind = findstr(file,'_')-1;
        device = file(1:ind);
        ind = ind + 2;
        energy = file(ind:end-3);
   
        if isempty(intersect(devices,device,'rows'))
            devices = strvcat(devices,device);
        end
        if isempty(intersect(energies,energy,'rows'))
            energies = strvcat(energies,energy);
        end
    end
