function y = isNumber(str)
% isNumber: tests whether given string represents a number

% Mika Miettinen 

    if ~ischar(str)
        y = 0;
    else
        num = str2num(str);
        y = ndims(num) == 2 & size(num, 1) == 1 & size(num, 2) == 1;
    end
